import request from '@/utils/request'

// 查询冻胚库存列表
export function listEmbryo(query) {
  return request({
    url: '/frozen/embryo/list',
    method: 'get',
    params: query
  })
}

// 查询冻胚库存详细
export function getEmbryo(id) {
  return request({
    url: '/frozen/embryo/' + id,
    method: 'get'
  })
}

// 新增冻胚库存
export function addEmbryo(data) {
  return request({
    url: '/frozen/embryo',
    method: 'post',
    data: data
  })
}

// 修改冻胚库存
export function updateEmbryo(data) {
  return request({
    url: '/frozen/embryo',
    method: 'put',
    data: data
  })
}

// 删除冻胚库存
export function delEmbryo(id) {
  return request({
    url: '/frozen/embryo/' + id,
    method: 'delete'
  })
}

// 根据供体母羊耳号回显冲胚信息（冻胚新增页面用）
export function getFlushInfoByEwe(eweNo) {
  return request({
    url: '/frozen/embryo/getFlushInfoByEwe/' + eweNo,
    method: 'get'
  })
}

// 根据母羊+等级获取数量
export function getQtyByGrade(eweNo, grade) {
  return request({
    url: '/frozen/embryo/getQtyByGrade',
    method: 'get',
    params: { eweNo, grade }
  })
}

// 废弃冻胚
export function discardEmbryo(data) {
  return request({
    url: '/frozen/embryo/discard',
    method: 'put',
    data
  })
}